Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133733 - CallbackHandler deleted from Service Assembly when deploying thru NetBeans
CallbackHandler deleted from Service Assembly when deploying thru NetBeans
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: Composite Application
6.x
All All
: P1 (vote)
: -S1S-
Assigned To: Tientien Li
issues@soa
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 01:27 UTC by Noel Ang
Modified: 2008-07-10 15:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
CompApp and BPEL projects (99.99 KB, application/x-compressed)
2008-04-23 01:28 UTC, Noel Ang
Details
Callback Handler project (25.36 KB, application/x-compressed)
2008-04-23 01:31 UTC, Noel Ang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Ang 2008-04-23 01:27:11 UTC
A CallbackHandler Java class packaged in a Composite Application project's service assembly disappears if the project is
deployed using NetBeans.  The class disappears from the project's dist and build directories *and* is not present in the
deployed assembly.

If the assembly is deployed from the command line, the problem does not occur.

The issue was encountered using NetBeans "sierra" build 20080421151521.

1. Build the attached Comp App project in NetBeans.
2. Go to the Files view and navigate into to: project's build/sun-http-binding.jar/xwss/saml.
3. Note the presence of the SamlCallbackHandler.class file.
4. Return to the Project view, and deploy the Comp App in NetBeans.
5. Return to the Files view and note the class file noted in step 3 is gone.

6. Navigate into your app server's
domains/domain1/jbi/service-assemblies/SAMLVoucherClientApp/SAMLVoucherClientApp-sun-http-binding/sun-http-binding
subdirectory.  Note the subdirectory 'xwss' is not present.
7. Undeploy the project from NetBeans.
8. Repeat steps 2-3.
9. Deploy the project from the command line (using asadmin deploy-jbi-service-assembly <path to assembly zip file>)
10. Repeat step 6, but note the subdirectory 'xwss' is present, this time around.
Comment 1 Noel Ang 2008-04-23 01:28:15 UTC
Created attachment 60580 [details]
CompApp and BPEL projects
Comment 2 Noel Ang 2008-04-23 01:31:24 UTC
Created attachment 60581 [details]
Callback Handler project
Comment 3 Noel Ang 2008-04-23 01:32:15 UTC
I also attached the Java project for the Callback Handler, as the Comp App has an internal reference to it, and builds
the Callback Handler class from it.
Comment 4 Noel Ang 2008-04-23 01:33:32 UTC
To use the callback handler project without further modification in the Comp App, please place the Callback Handler's
java project in drive C:, directory \WSIT, i.e., C:\Wsit\CallbackHandlerSample.
Comment 5 Noel Ang 2008-04-23 01:36:11 UTC
Whoops, sorry about that. Step 8 should say, repeat steps 1, 2 and 3.  After the class is deleted, a rebuild of the
project is necessary before attempting to deploy it from the command-line.
Comment 6 Venkat Chellasamy 2008-04-24 18:38:35 UTC
Noel, can you verify if this is an issue with Nb 6.1? You can use the caps installer.
Comment 7 Tientien Li 2008-04-24 22:24:22 UTC
Will try to fix this in patch 1
Comment 8 pgebauer 2008-04-25 08:22:42 UTC
The issue hasn't be fixed till 61patch1 nomination cut-off date.
Marked as release61_fixes_candidate2.
Comment 9 Tientien Li 2008-04-25 16:27:10 UTC
Fixed in trunk, changeset: da6361d9b972
Comment 10 Quality Engineering 2008-04-26 03:53:47 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #158 build
Changeset: http://hg.netbeans.org/main/rev/da6361d9b972
User: Tientien Li <tli@netbeans.org>
Log: IZ#133733 fix missing WSIT callback class for deployment
Comment 11 vinathi 2008-04-29 20:56:57 UTC
Verified using 20080429-0500 build. It failed. Not sure which build to pick up in order to have the fix for the above 
mentioned issue. Awaiting developers response.
Comment 12 Tientien Li 2008-04-29 21:25:19 UTC
According to the change log of NB production build #158, the change for IZ#133733 was included in the build.

  http://hlemyzd-2.czech:8080/hudson/job/NB_Trunk_Production/158/

I just download and verified changes with the latest nightly builds, 200804291203, from

  http://bits.netbeans.org/download/trunk/nightly/latest/zip/

Where did you download the installer build 20080429-0500 from?
Comment 13 pslechta 2008-05-28 14:09:27 UTC
QA, please verify this fix till 09-Jun-2008, so it can be part of NB 6.1 patch 2.
Comment 14 pgebauer 2008-06-10 13:41:18 UTC
This issue has been nominated for NB IDE 6.1 patch2 although it hasn't been verified by QE yet. If it isn't verified by
12-Jun-08, it's nomination will be removed.
Comment 15 jlautz 2008-06-13 04:23:55 UTC
Verified with 
Product Version: NetBeans IDE Dev (Build 200806111204)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: SunOS version 5.10 running on x86; ISO646-US; en (nb)
Userdir: /Users/lautz/.netbeans/dev

After step 6, the SamlCallbackHandler.class file was deployed in the SU and put at
/glassfish-v2ur2/domains/domain1/jbi/service-assemblies/SAMLVoucherClientApp/SAMLVoucherClientApp-sun-http-binding/sun-http-binding/xwss/saml
  as expected.

In addition to the described steps, I needed to add webservices*.jar files in glassfish as libraries required by the
CallbackHandlerSample, and I needed to open the WSIT properties for SamlVoucherServicePort1 and change Callback Project
to point to the actual location of the CallbackHandlerSample project, because I was not testing on Windows. 
Comment 16 pslechta 2008-06-13 11:21:58 UTC
The fix has been ported into the release61_fixes repository.

http://hg.netbeans.org/release61_fixes/rev/b43c990089e5


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo